using XGame.Framework.Nodes;

namespace FL.Nodes.GameMain
{
    public class UIComponent : NodeComponent
    {
        public override void OnEnable(object intent)
        {
            Context.UI.OpenAsync(FGUI.UIKeys.MainHomePanel, "打开MainHomePanel");
        }
        public override void OnDisable()
        {
            Context.UI.Close(FGUI.UIKeys.MainHomePanel);
        }
    }
}